Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1866)

Issue 137760043: Replace internal_get_property with get_property where possible (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 10 months ago by janek
Modified:
4 years, 9 months ago
Reviewers:
dak
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

Replace internal_get_property with get_property where possible Note that thanks to lily-guile-macros magic, we can use get_property with both string and SCM input (see lily/include/lily-guile-macros.hh:48).

Patch Set 1 #

Total comments: 2

Patch Set 2 : rebase on current master #

Total comments: 8

Patch Set 3 : fix memoization #

Unified diffs Side-by-side diffs Delta from patch set Stats (+27 lines, -35 lines) Patch
M lily/context.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M lily/context-scheme.cc View 1 chunk +1 line, -1 line 0 comments Download
M lily/engraver-group.cc View 1 chunk +1 line, -2 lines 0 comments Download
M lily/grob.cc View 1 2 2 chunks +7 lines, -12 lines 0 comments Download
M lily/grob-scheme.cc View 1 chunk +1 line, -1 line 0 comments Download
M lily/piano-pedal-engraver.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M lily/prob-scheme.cc View 1 chunk +1 line, -1 line 0 comments Download
M lily/scheme-engraver.cc View 1 chunk +1 line, -1 line 0 comments Download
M lily/script-engraver.cc View 1 chunk +1 line, -1 line 0 comments Download
M lily/self-alignment-interface.cc View 1 2 2 chunks +7 lines, -8 lines 0 comments Download
M lily/span-bar-engraver.cc View 1 chunk +3 lines, -4 lines 0 comments Download
M lily/tuplet-bracket.cc View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 6
janek
rebase on current master
4 years, 10 months ago (2014-08-27 16:07:45 UTC) #1
dak
Oh shucks. Another comment that has been leftover in Draft mode. I have no idea ...
4 years, 9 months ago (2014-09-02 13:33:02 UTC) #2
dak
So I went through a review after all and found a few niggles that seem ...
4 years, 9 months ago (2014-09-02 13:45:45 UTC) #3
janek
fix memoization
4 years, 9 months ago (2014-09-03 22:33:23 UTC) #4
janek
Hi, On 2014/09/02 13:45:45, dak wrote: > So I went through a review after all ...
4 years, 9 months ago (2014-09-03 22:42:26 UTC) #5
janek
4 years, 9 months ago (2014-09-08 06:51:11 UTC) #6
Message was sent while issue was closed.
pushed as

commit 3dfd0a47e01374e0d8d1e6b127fa3f7a15a53edc
Author: Janek Warchoł <lemniskata.bernoullego@gmail.com>
Date:   Thu Aug 21 18:34:22 2014 +0200

    Replace internal_get_property with get_property where possible
    
    Note that thanks to lily-guile-macros magic, we can use get_property
    with both string and SCM input (see lily/include/lily-guile-macros.hh:48).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b